%global build_cflags %{build_cflags} -std=gnu17


Summary:	A chat program
Summary(de):	benutzt das Internet-Talk-Protokoll zum Erstellen von Multiuser-Chat-Sitzungen 
Summary(fr):	Utilise le protocole talk pour créer des discussions multi-utilisateurs
Summary(tr):	Talk protokolu kullanarak ikiden fazla kişinin konuşmasın sağlar
Name:		ytalk
Version: 	3.3.0
Release: 	%mkrel 18
License:	BSD
Group:		Networking/Instant messaging
BuildRequires:	ncurses-devel
Source0:	http://www.impul.se/ytalk/%{name}-%{version}.tar.bz2
Source1:	ytalkrc
URL:		http://www.impul.se/ytalk/

%description
The YTalk program is essentially a chat program for multiple users. YTalk works
just like the UNIX talk program and even communicates with the same talk
daemon(s), but YTalk allows for multiple connections (unlike UNIX talk). YTalk
also supports redirection of program output to other users as well as an
easy-to-use menu of commands.

Install the ytalk package if you need a chat program for multiple users.

%prep
%setup -q

%build
%configure
%make_build 

%install
%make_install

%files
%doc README ChangeLog
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Thu May 08 2025 philippedidier <philippedidier> 3.3.0-18.mga10
+ Revision: 2182042
- allow build with GCC15

* Thu Mar 17 2022 umeabot <umeabot> 3.3.0-17.mga9
+ Revision: 1797335
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.3.0-16.mga8
+ Revision: 1519172
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Oct 04 2018 pterjan <pterjan> 3.3.0-15.mga7
+ Revision: 1317667
- Fix encoding
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 3.3.0-14.mga6
+ Revision: 934814
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0-13.mga5
+ Revision: 739027
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.0-12.mga5
+ Revision: 690845
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.0-11.mga4
+ Revision: 520894
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.3.0-10.mga3
+ Revision: 387624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 3.3.0-9.mga3
+ Revision: 310351
- spec clean-up
- update RPM group

* Tue Mar 22 2011 steletch <steletch> 3.3.0-8.mga1
+ Revision: 75721
- imported package ytalk

